Package de.willuhn.jameica.hbci.gui.chart

# Class ChartDataUmsatzTyp

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.ChartDataUmsatzTyp

All Implemented Interfaces:
  `ChartData`

public class ChartDataUmsatzTyp extends Object implements ChartData
Implementierung eines Datensatzes fuer die Darstellung der Umsatz-Verteilung.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ChartDataUmsatzTyp.Entry`
Hilfsklasse, weil wir nur Absolut-Werte wollen.

## Constructor Summary

Constructors
Constructor
Description
`ChartDataUmsatzTyp(int typ)`
`ChartDataUmsatzTyp(int typ, int days)`

## Method Summary

Modifier and Type
Method
Description
`List`
`getData()`
Liefert die zu zeichnende Datenreihe.
`String`
`getDataAttribute()`
Liefert den Namen des Attributs, welches fuer die Werte verwendet werden soll.
`String`
`getLabel()`
Liefert das Label der Datenreihe.
`String`
`getLabelAttribute()`
Liefert den Namen des Attributs fuer die Beschriftung.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartDataUmsatzTyp

public ChartDataUmsatzTyp(int typ)

Parameters:
  `typ` - Art der Umsaetze.
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EGAL`
  - `ct.`

### ChartDataUmsatzTyp

public ChartDataUmsatzTyp(int typ, int days)

Parameters:
  `typ` - Art der Umsaetze.
  `days` - Anzahl der Tage. ct.
See Also:
  - `UmsatzTyp.TYP_AUSGABE`
  - `UmsatzTyp.TYP_EGAL`
  - `UmsatzTyp.TYP_EINNAHME`

## Method Details

### getData

public List getData() throws RemoteException
Description copied from interface: `ChartData`
Liefert die zu zeichnende Datenreihe.

Specified by:
  `getData` in interface `ChartData`
Returns:
  Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getData()`

### getLabel

public String getLabel() throws RemoteException
Description copied from interface: `ChartData`
Liefert das Label der Datenreihe.

Specified by:
  `getLabel` in interface `ChartData`
Returns:
  Label der Datenreihe.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabel()`

### getDataAttribute

public String getDataAttribute() throws RemoteException
Description copied from interface: `ChartData`
Liefert den Namen des Attributs, welches fuer die Werte verwendet werden soll. Der Wert des Attributes muss vom Typ java.lang.Number sein.

Specified by:
  `getDataAttribute` in interface `ChartData`
Returns:
  Name des Werte-Attributs.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getDataAttribute()`

### getLabelAttribute

public String getLabelAttribute() throws RemoteException
Description copied from interface: `ChartData`
Liefert den Namen des Attributs fuer die Beschriftung.

Specified by:
  `getLabelAttribute` in interface `ChartData`
Returns:
  Name des Attributs fuer die Beschriftung. Der Wert des Attributes muss vom Typ java.lang.Date sein.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabelAttribute()`